Name:           switchboard
Summary:        Modular Desktop Settings Hub
Version:        2.2.1
Release:        2%{?dist}
License:        GPLv3
URL:            https://launchpad.net/switchboard

Source0:        https://launchpad.net/%{name}/2.x/%{version}/+download/%{name}-%{version}.tar.xz

# Include the appropriate icon from elementary-icon-theme so appdata metadata generation works.
# A Bug about the missing icon is reported upstream:
# https://bugs.launchpad.net/switchboard/+bug/1658325

Source1:        org.pantheon.switchboard.svg

# Patch the .desktop file to not use the generic icon name but the bundled icon
Patch0:         00-rename-icon.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala >= 0.21.0

BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:  pkgconfig(unity) >= 4.0.0

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       hicolor-icon-theme


%description
This project is about the container app only and its library. For
plugins that handle the settings, please refer to
https://launchpad.net/pantheon-plugs.

Designed for elementary OS.


%package        libs
Summary:        Modular Desktop Settings Hub (shared library)
%description    libs
This project is about the container app only and its library. For
plugins that handle the settings, please refer to
https://launchpad.net/pantheon-plugs.

Designed for elementary OS.

This package contains the shared library.


%package        devel
Summary:        Modular Desktop Settings Hub (development files)
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
%description    devel
This project is about the container app only and its library. For
plugins that handle the settings, please refer to
https://launchpad.net/pantheon-plugs.

Designed for elementary OS.

This package contains the files required for developing plugs for
switchboard.


%prep
%autosetup -p1


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang switchboard

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps
cp -p %{SOURCE1} %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.pantheon.switchboard.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/switchboard.appdata.xml


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%post           libs -p /sbin/ldconfig
%postun         libs -p /sbin/ldconfig


%files -f switchboard.lang
%{_bindir}/switchboard

%{_datadir}/appdata/switchboard.appdata.xml
%{_datadir}/applications/org.pantheon.switchboard.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.switchboard.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.pantheon.switchboard.svg


%files          libs
%doc AUTHORS
%license COPYING

%dir %{_libdir}/switchboard
%dir %{_libdir}/switchboard/*

%{_libdir}/libswitchboard-2.0.so.0
%{_libdir}/libswitchboard-2.0.so.2.0


%files          devel
%{_includedir}/switchboard-2.0/

%{_libdir}/libswitchboard-2.0.so
%{_libdir}/pkgconfig/switchboard-2.0.pc

%{_datadir}/vala/vapi/switchboard-2.0.deps
%{_datadir}/vala/vapi/switchboard-2.0.vapi


%changelog
* Wed Feb 08 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.1-2
- Rename bundled icon.

* Wed Feb 01 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.1-1
- Update to version 2.2.1.
- Remove patch, the new version fixes this.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-6
- Include icon to fix appstream metadata generation.

* Wed Jan 11 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-5
- Add patch to fix pkgconfig file.

* Sat Jan 07 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-4
- Split off -libs subpackage.

* Sat Jan 07 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-3
- Clean up spec file.

* Sat Dec 24 2016 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-2
- Enable libunity support.

* Thu Dec 08 2016 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-1
- Update to version 2.2.0.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-4
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-3
- Spec file cleanups.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-2
- Spec file cosmetics.

* Wed Aug 10 2016 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-1
- Update to version 2.1.0.


